Apply by doing:
	cd /usr/src
	patch -p0 < 017_httpd2.patch

And then rebuild and install httpd and its modules:
	cd usr.sbin/httpd
	make -f Makefile.bsd-wrapper obj
	make -f Makefile.bsd-wrapper cleandir
	make -f Makefile.bsd-wrapper depend
	make -f Makefile.bsd-wrapper
	make -f Makefile.bsd-wrapper install

If httpd had been started, you might want to run
	apachectl stop
before running "make install", and
	apachectl start
afterwards.

Index: usr.sbin/httpd/src/main/http_protocol.c
===================================================================
RCS file: /cvs/src/usr.sbin/httpd/src/main/http_protocol.c,v
retrieving revision 1.28
retrieving revision 1.28.4.1
diff -u -p -r1.28 -r1.28.4.1
--- usr.sbin/httpd/src/main/http_protocol.c	9 Feb 2005 12:13:09 -0000	1.28
+++ usr.sbin/httpd/src/main/http_protocol.c	26 Sep 2006 21:07:43 -0000	1.28.4.1
@@ -2926,7 +2926,8 @@ API_EXPORT(void) ap_send_error_response(
 	    ap_rvputs(r, "The expectation given in the Expect request-header"
 	              "\nfield could not be met by this server.<P>\n"
 	              "The client sent<PRE>\n    Expect: ",
-	              ap_table_get(r->headers_in, "Expect"), "\n</PRE>\n"
+	              ap_escape_html(r->pool, ap_table_get(r->headers_in,
+		      "Expect")), "\n</PRE>\n"
 	              "but we only allow the 100-continue expectation.\n",
 	              NULL);
 	    break;
